Kerbal Space Program - Bug #13171

Some science experiments only trigger once on action groups
11/02/2016 05:23 PM - jonatkins
Description

Some science experiments (temp, pressure, gravity, atmosphere) only trigger once when activated by an action group.

After transmitting results or resetting the experiment, the action group no longer triggers the experiment. However, experiments can
still be run manually from the right-click menu.

To reproduce:

- Create a vessel with science experiments

- Assign experiments to run on an action group

- Launch

- Trigger the action group - all experiments run as expected

- Reset all experiments from the results dialogs

- Trigger action group again - only some experiments run, others do not.

Experiments that have problems include: thermometer, barometer, accelerometer, gravity, atmosphere analysis
Experiments that work as expected: mystery goo, science jr, crew report

This is a new issue as of 1.2.1 - it was working as expected in 1.2.0

Tested on windows 7, 64 bit version from steam. First seen with a modded install, but reproduced on a new game with no mods.

History

#1 - 11/02/2016 05:49 PM - jonatkins

| forgot to add - I've not tested if there's any other areas of the game where action groups no longer work as expected.

#2 - 11/03/2016 02:29 PM - sal_vager

Good catch jonatkins, though it isn't a "High", please use the table in the wiki when assigning priority :)

#3 - 11/03/2016 02:29 PM - sal_vager

- Status changed from New to Confirmed
- Severity changed from High to Low

- % Done changed from 0 to 10

#5 - 11/08/2016 09:26 AM - Daveroski

Also Linux64 platform.
#6 - 11/09/2016 10:14 PM - AlffromKerbal
Confirmed (running linux64).

It somehow seems, that only "resetable by electricity” parts are affected and that it doesn't matter if you keep or reset experiment. Once you hit
your actionkey, it isn't working anymore.

Also, sucking kept experiments of "resetable by electricity"” parts by container, doesn't reset ability to use actionkey.

Parts, which need scientist to reset experiment, seem to work properly.
#7 - 12/07/2016 03:39 AM - JPLRepo

- Status changed from Confirmed to Ready to Test
- % Done changed from 10 to 80

- Version changed from 1.2.1 to 1.2.2

This should be fixed in 1.2.2. Please test.

#8 - 12/07/2016 03:42 AM - JPLRepo
- Target version setto 1.2.2

- Version changed from 1.2.2 to 1.2.1

#9 - 12/07/2016 09:31 AM - AlffromKerbal
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Working for me.

#10 - 12/08/2016 07:55 AM - JPLRepo

- Status changed from Resolved to Closed
